- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgProducer::OsgCameraGroup::RealizeCallback Class Reference

RealizeCallback class one should override to provide an the implemention of realize callbacks. More...

Inheritance diagram for osgProducer::OsgCameraGroup::RealizeCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | operator() (OsgCameraGroup &cg, OsgSceneHandler &sh, const Producer::RenderSurface &rs)=0
## Protected Member Functions
virtual | ~RealizeCallback ()

## Detailed Description

RealizeCallback class one should override to provide an the implemention of realize callbacks.

Note, this callback overrides the normal call to OsgSceneHandler::init() so it become the your responisibility to call this within your callback if required, it is a safe assumption to always call OsgSceneHandler::init() within your callback..

## Constructor & Destructor Documentation

OsgCameraGroup::RealizeCallback::~RealizeCallback | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osgProducer::OsgCameraGroup::RealizeCallback::operator() | ( | OsgCameraGroup & | cg,
|  | OsgSceneHandler & | sh,
|  | const Producer::RenderSurface & | rs
| ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- OsgCameraGroup
- OsgCameraGroup.cpp